Subject: [PATCH 0/5] net: ch9200: fix various bugs and improve qinheng ch9200 driver

From: Qasim Ijaz <[email-masked]>
Date: Sat, 12 Apr 2025 19:38:24 +0100

This patch series aims to fix various issues throughout the QinHeng CH9200
driver. This driver fails to handle various failures, which in one
case has lead to a uninit access bug found via syzbot. Upon reviewing
the driver I fixed a few more issues which I have included in this patch
series.

Parts of this series are the product of discussions and suggestions I had
from others like Andrew Lunn, Simon Horman and Jakub Kicinski you can view those
discussions below:

Link: <https://lore.kernel.org/all/[email-masked]>
Link: <https://lore.kernel.org/all/[email-masked]/>
Link: <https://lore.kernel.org/all/[email-masked]/>

Qasim Ijaz (5):
  fix uninitialised access bug during mii_nway_restart
  remove extraneous return that prevents error propagation
  fail fast on control_read() failures during get_mac_address()
  add missing error handling in ch9200_bind()
  avoid triggering NWay restart on non-zero PHY ID

 drivers/net/usb/ch9200.c | 61 ++++++++++++++++++++++++++--------------
 1 file changed, 40 insertions(+), 21 deletions(-)

-- 
2.39.5